summaryrefslogtreecommitdiffstats
path: root/development/eclipse
diff options
context:
space:
mode:
author Antonio Hernández Blas <hba.nihilismus@gmail.com>2010-05-11 22:22:29 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:22:29 +0200
commit420f78eec7649ff40bd667c0796048d893dc686a (patch)
treeecc495428bfa7c6d05cb8c05ded8a85cde9f2c43 /development/eclipse
parent75c950037f4a002c47794fb7d5cefd719f4fe671 (diff)
downloadslackbuilds-420f78eec7649ff40bd667c0796048d893dc686a.tar.gz
slackbuilds-420f78eec7649ff40bd667c0796048d893dc686a.tar.xz
development/eclipse: Updated for version 3.4.1
Diffstat (limited to 'development/eclipse')
-rw-r--r--development/eclipse/doinst.sh17
-rw-r--r--development/eclipse/eclipse3
-rw-r--r--development/eclipse/eclipse.SlackBuild78
-rw-r--r--development/eclipse/eclipse.desktop1
-rw-r--r--development/eclipse/eclipse.info12
-rw-r--r--development/eclipse/eclipse.pngbin0 -> 3821 bytes
6 files changed, 73 insertions, 38 deletions
diff --git a/development/eclipse/doinst.sh b/development/eclipse/doinst.sh
index 4557defa56..cc11d6e883 100644
--- a/development/eclipse/doinst.sh
+++ b/development/eclipse/doinst.sh
@@ -1,4 +1,20 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config opt/eclipse/configuration/config.ini.new
+config opt/eclipse/eclipse.ini.new
+
if [ -x usr/bin/update-desktop-database ]; then
usr/bin/update-desktop-database -q usr/share/applications
fi
@@ -6,4 +22,3 @@ fi
if [ -x usr/bin/update-mime-database ]; then
usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi
-
diff --git a/development/eclipse/eclipse b/development/eclipse/eclipse
deleted file mode 100644
index 2d787581cd..0000000000
--- a/development/eclipse/eclipse
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-cd /opt/eclipse
-./eclipse
diff --git a/development/eclipse/eclipse.SlackBuild b/development/eclipse/eclipse.SlackBuild
index 1b0ba66d3d..b3e5fa2e87 100644
--- a/development/eclipse/eclipse.SlackBuild
+++ b/development/eclipse/eclipse.SlackBuild
@@ -1,61 +1,83 @@
#!/bin/sh
# Slackware build script for eclipse
-# Written by core (eroc@linuxmail.org)
+
+# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# This script is just a binary repackaging.
-set -e
PRGNAM=eclipse
-VERSION=3.3
+VERSION=3.4.1
ARCH=i586 # Leave this alone.
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e
+
rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-SDK-$VERSION-linux-gtk.tar.gz
-
-# Binary directory is "eclipse" so rename it
-mv $PRGNAM $PRGNAM-$VERSION
-cd $PRGNAM-$VERSION
+mkdir -p $TMP $PKG/opt $OUTPUT
+cd $PKG/opt
+tar xvf $CWD/$PRGNAM-SDK-$VERSION-linux-gtk.tar.gz
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-# Move the binary directory to $PKG/opt
-mkdir -p $PKG/opt
-mv $TMP/$PRGNAM-$VERSION $PKG/opt
-( cd $PKG/opt ; ln -s $PRGNAM-$VERSION $PRGNAM )
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
# Add a script to run eclipse in /usr/bin
mkdir -p $PKG/usr/bin
-cat $CWD/eclipse > $PKG/usr/bin/eclipse
+cat << EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/sh
+cd /opt/eclipse
+./eclipse "\$@"
+EOF
chmod 0755 $PKG/usr/bin/eclipse
-# Add an icon for eclipse
-mkdir -p $PKG/usr/share/pixmaps
-( cd $PKG/usr/share/pixmaps ; ln -s /opt/$PRGNAM-$VERSION/icon.xpm eclipse.xpm )
-
-# Add eclipse to KDE/GNOME/XFCE menu
-mkdir -p $PKG/usr/share/applications
-cat $CWD/eclipse.desktop > $PKG/usr/share/applications/eclipse.desktop
+# Add eclipse to KDE/GNOME/XFCE menu and install an icon for them
+install -D -m 0644 $CWD/$PRGNAM.desktop \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+install -D -m 0644 $CWD/$PRGNAM.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
+# Don't clobber any existing config file
+mv $PKG/opt/$PRGNAM/configuration/config.ini \
+ $PKG/opt/$PRGNAM/configuration/config.ini.new
+mv $PKG/opt/$PRGNAM/eclipse.ini \
+ $PKG/opt/$PRGNAM/eclipse.ini.new
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cd $PKG/opt/$PRGNAM-$VERSION
-cp -a epl-v10.html notice.html readme/readme_eclipse.html about.html \
- about_files $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/$PRGNAM
+cp -a about.html about_files epl-v10.html notice.html readme $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/development/eclipse/eclipse.desktop b/development/eclipse/eclipse.desktop
index 2ddeddbb27..d52ed05aff 100644
--- a/development/eclipse/eclipse.desktop
+++ b/development/eclipse/eclipse.desktop
@@ -1,3 +1,4 @@
+
[Desktop Entry]
Encoding=UTF-8
Type=Application
diff --git a/development/eclipse/eclipse.info b/development/eclipse/eclipse.info
index 2a4689923f..8e60680d1f 100644
--- a/development/eclipse/eclipse.info
+++ b/development/eclipse/eclipse.info
@@ -1,8 +1,8 @@
PRGNAM="eclipse"
-VERSION="3.3"
+VERSION="3.4.1"
HOMEPAGE="http://www.eclipse.org"
-DOWNLOAD="http://mirrors.ibiblio.org/pub/mirrors/eclipse/eclipse/downloads/drops/R-3.3-200706251500/eclipse-SDK-3.3-linux-gtk.tar.gz"
-MD5SUM="ea20ed4397b27a6486f8aa2c30570417"
-MAINTAINER="core"
-EMAIL="eroc@linuxmail.org"
-APPROVED="rworkman"
+DOWNLOAD="http://download.eclipse.org/eclipse/downloads/drops/R-3.4.1-200809111700/eclipse-SDK-3.4.1-linux-gtk.tar.gz"
+MD5SUM="bb8aea8f12c8540ae52f35226da9f363"
+MAINTAINER="Antonio Hernández Blas"
+EMAIL="hba.nihilismus@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/development/eclipse/eclipse.png b/development/eclipse/eclipse.png
new file mode 100644
index 0000000000..87b58d251a
--- /dev/null
+++ b/development/eclipse/eclipse.png
Binary files differ